#include <stdio.h>
#include <stdlib.h>
#include <libssh2.h>
#include <libssh2_sftp.h>
#include <string.h>
#include <errno.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <unistd.h>

#define Hostname "127.0.0.1"
#define Port 22
#define Username "sftpuser"
#define Password "12580"
#define LocalfilePath "./"
#define RemotefilePath "/uploads/"
#define Perior_action_count 5

#ifndef IMAGE_FROM_SFTP_H
#define IMAGE_FROM_SFTP_H
void print_error(const char *message);
int create_socket(const char *hostname, int port);
char *filepathname (char*filepath,char*filename);
int upload_file(char *localfilename,char *remotefilename);
int download_file(char *argv , char *file_format);
#endif